/*	rdbytsc.c 4.3		*/

/*F****************************************************************************

FUNCTION NAME:	rdbytsc

ACTION:		Reads a character from Port C using simple strobed I/O.
		Returns a character.

PARAMETERS:	(None)

RETURNS:	(int) byte read from port C.

******************************************************************************/

#include <hc11/io.h>
#include <hc11/pio.h>
#include <hc11/directives.h>

SMALL
unsigned rdbytsc()

	{

	HC11.PIOC &= (~HNDS);		/* clear the Handshake bit */

	while ((HC11.PIOC & STAF) ==  0)	/* wait for the data */
		;		/* null statement */

	return ((unsigned) HC11.PORTCL) ;

	}	/* end of rdbytsc	*/
